MUTT_VC_QUERY(1)

NAME
mutt_vc_query - vCard query utility for mutt

SYNOPSIS
mutt_vc_query [ -m | -e] [-t type] [-f datafile] query
mutt_vc_query [-v]
mutt_vc_query [-V]
mutt_vc_query [-h]

DESCRIPTION
A vCard query utility for mutt. This utility can be used at the shell prompt to perform ad-hoc queries, but it is meant to be used by mutt's "query_command" option. Place the following line in your "~/.muttrc" file:

    set query_command = "mutt_vc_query '%s'"

The search using the given query string will be case insensitive. The options are as follows:

-e  Sort the results by email.

-a  Output all email addresses associated with a contact, instead of just the preferred address.

-f  Use the datafile to perform the query.

-h  Display usage help.

-m  Sort the results by the miscellaneous field.

-t  Uses the specified type for the miscellaneous field.

-v  Display the version.

-V  Display the copyright and license.

FILES
~/.rolo/contacts.vcf
    Default data file that mutt_vc_query will query.

EXAMPLES
To query for the string "Hsu" and have the miscellaneous field be populated by the type "NICKNAME":

    mutt_vc_query -t NICKNAME Hsu

DIAGNOSTICS

SEE ALSO
muttrc(5), rolo(1)

AUTHORS
Andrew Hsu <ahsu@users.sf.net>

BUGS
Man page is not finished yet.